DataBolsa docs
Referência da APIPlataformaObjects

Lista as medidas e suas unidades

Lista os `fact` aceitos por `getObjectFacts` e `getObjectHistory`, com objetos aplicáveis e sua régua. Interprete o valor com `unit`, `dimension`, `scale` e `period`: `ratio` é fração, `pct` é percentual e escalas como `thousand` não são aplicadas ao valor servido. Em `unit=native`, a unidade varia por série; consulte o objeto da série para obter a unidade resolvida.

GET
/v1/objects/facts/catalog
AuthorizationBearer <token>

In: header

Query Parameters

kind?string

Recorta o catálogo a um tipo de objeto. meta.kinds lista os que têm medida.

Value in"company" | "equity_security" | "fund" | "service_provider" | "instrument" | "index" | "crypto_asset" | "commodity" | "country" | "indicator" | "data_series" | "offering" | "fund_share_class" | "market_event" | "role" | "sector" | "securitization" | "norm"

Response Body

curl -X GET "https://api.databolsa.com/v1/objects/facts/catalog?kind=company"
{
  "meta": {
    "next_cursor": "string",
    "count": 0,
    "total": 0,
    "subject": {
      "property1": "string",
      "property2": "string"
    },
    "kinds": [
      "string"
    ]
  },
  "data": [
    {
      "name": "string",
      "label": "string",
      "kind": "string",
      "unit": "brl",
      "dimension": "string",
      "scale": "string",
      "period": "string",
      "cadence": "daily",
      "grain": "object",
      "expected_range": {
        "min": 0,
        "max": 0
      },
      "concept": "string"
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}